python3: Update patch.

This commit is contained in:
Alexpux
2013-12-29 20:56:43 +04:00
parent ffffb3b551
commit dffd46ad8a
2 changed files with 22 additions and 8 deletions

View File

@@ -1,6 +1,6 @@
diff -urN a/configure.ac b/configure.ac
--- a/configure.ac 2013-12-26 18:46:44.118375500 +0000
+++ b/configure.ac 2013-12-26 18:46:49.216667100 +0000
--- a/configure.ac 2013-12-27 16:50:19.310591300 +0000
+++ b/configure.ac 2013-12-27 16:50:23.266817600 +0000
@@ -968,6 +968,7 @@
# Other platforms follow
@@ -37,8 +37,8 @@ diff -urN a/configure.ac b/configure.ac
AC_OUTPUT
diff -urN a/Makefile.pre.in b/Makefile.pre.in
--- a/Makefile.pre.in 2013-12-26 18:46:45.361446600 +0000
+++ b/Makefile.pre.in 2013-12-26 18:46:49.218667200 +0000
--- a/Makefile.pre.in 2013-12-27 16:50:20.271646300 +0000
+++ b/Makefile.pre.in 2013-12-27 16:50:23.268817700 +0000
@@ -1176,6 +1176,8 @@
# Substitution happens here, as the completely-expanded BINDIR
# is not available in configure
@@ -58,8 +58,8 @@ diff -urN a/Makefile.pre.in b/Makefile.pre.in
"`echo $(MACHDEP) | sed 's/^\(...\).*/\1/'`" = "aix" ]; then \
diff -urN a/Misc/python-config.sh.in b/Misc/python-config.sh.in
--- a/Misc/python-config.sh.in 1970-01-01 01:00:00.000000000 +0100
+++ b/Misc/python-config.sh.in 2013-12-26 18:46:49.221667400 +0000
@@ -0,0 +1,106 @@
+++ b/Misc/python-config.sh.in 2013-12-27 16:58:41.425310600 +0000
@@ -0,0 +1,120 @@
+#!/bin/sh
+
+exit_with_usage ()
@@ -68,6 +68,16 @@ diff -urN a/Misc/python-config.sh.in b/Misc/python-config.sh.in
+ exit 1
+}
+
+# Really, python-config.py (and thus .sh) should be called directly, but
+# sometimes software (e.g. GDB) calls python-config.sh as if it were the
+# Python executable, passing python-config.py as the first argument.
+# Work around that oddness by ignoring any .py passed as first arg.
+case "$1" in
+ *.py)
+ shift
+ ;;
+esac
+
+if [ "$1" = "" ] ; then
+ exit_with_usage
+fi
@@ -97,6 +107,10 @@ diff -urN a/Misc/python-config.sh.in b/Misc/python-config.sh.in
+LIBC="@LIBC@"
+SYSLIBS="$LIBM $LIBC"
+ABIFLAGS="@ABIFLAGS@"
+# Protect against lack of substitution.
+if [ "$ABIFLAGS" = "@""ABIFLAGS""@" ] ; then
+ ABIFLAGS=
+fi
+LIBS="@LIBS@ $SYSLIBS -lpython${VERSION}${ABIFLAGS}"
+BASECFLAGS="@BASECFLAGS@"
+LDLIBRARY="@LDLIBRARY@"

View File

@@ -4,7 +4,7 @@ _realname=python3
_mingw_suff=mingw-w64-${CARCH}
pkgname="${_mingw_suff}-${_realname}"
pkgver=3.3.3
pkgrel=1
pkgrel=2
_pybasever=3.3
pkgdesc="A high-level scripting language (mingw-w64)"
arch=('any')
@@ -309,7 +309,7 @@ sha1sums=('af4e75a34bd538c79b9871227c2e7f56569ac107'
'36b1bbf716e8dfee210ddcb4a05cf37a95789aa6'
'3ac188750e7aa1e86915c958f1697e669079b31a'
'5afeef3856f3045d55feab64fa569a715c8bd4d6'
'b7d964bd73ed0fca62be7b4c72a7db580a6ff0d5'
'76a4fe7988b1c9941f49765504d34b6bff5b42b8'
'decca1086965818a52a1fa097fedb33499a49de6'
'f5d2bb7f11d7fd5e50e702b0c3649536be043ffb'
'61375564a5df2b55423d5fe18299d0707b846acf'